%define	name	chmlib
%define	version	0.38
%define	release	%mkrel 2

%define	oname	chm
%define	major	0
%define	libname	%mklibname %{oname} %{major}

Summary:	A library for dealing with Microsoft ITSS/CHM format files
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source0:	http://freshmeat.net/redir/chmlib/22229/url_tgz/%{name}-%{version}.tar.bz2
Patch1:		chmlib-0.37-morearchs.patch.bz2
URL:		http://freshmeat.net/redir/chmlib/22229/url_homepage/chmlib
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
CHMLIB is a library for dealing with Microsoft ITSS/CHM format files.
Right now, it is a very simple library, but sufficient for dealing with
all of the .chm files I've come across. Due to the fairly well-designed
indexing built into this particular file format, even a small library
is able to gain reasonably good performance indexing into ITSS archives.

Code runs on Linux, Windows, Solaris, and Irix.

%package -n	%{libname}
Summary:	A library for dealing with Microsoft ITSS/CHM format files
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	lib%{oname} = %{version}-%{release}

%description -n	%{libname}
CHMLIB is a library for dealing with Microsoft ITSS/CHM format files.
Right now, it is a very simple library, but sufficient for dealing with
all of the .chm files I've come across. Due to the fairly well-designed
indexing built into this particular file format, even a small library
is able to gain reasonably good performance indexing into ITSS archives.

%package -n	%{libname}-devel
Summary:	A library for dealing with Microsoft ITSS/CHM format files
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{oname}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{libname}-devel
CHMLIB is a library for dealing with Microsoft ITSS/CHM format files.
Right now, it is a very simple library, but sufficient for dealing with
all of the .chm files I've come across. Due to the fairly well-designed
indexing built into this particular file format, even a small library
is able to gain reasonably good performance indexing into ITSS archives.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 -b .more_archs

%build
%configure2_5x
%make CFLAGS="%{optflags} -DCHM_MT -DCHM_USE_PREAD -DCHM_USE_IO64 -L.libs" \
    LDFLAGS="%{rpmldflags} -lpthread" CC="%{__cc}" LD="%{__cc}"

%install
rm -rf %{buildroot}
install -d %{buildroot}{%{_libdir},%{_includedir}}
%makeinstall_std
install -m644 src/.libs/libchm.a %{buildroot}%{_libdir}/libchm.a
#gw broken symlink
ln -sf libchm.so.0.0.0 %{buildroot}%{_libdir}/libchm.so

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Fri Aug 04 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/04/06 22:44:28 (53042)
- rebuild

* Fri Aug 04 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/04/06 22:41:07 (53041)
Import chmlib

* Thu Jul 20 2006 Emmanuel Andry <eandry@mandriva.org> 0.38-1mdv2007.0
- 0.38
- better url
- url for source

* Wed Jun 07 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.37.4-3mdv2007.0
- fix P1 to fix build on other archs (based on PLD's patch)

* Wed Apr 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.37.4-2mdk
- patch1: fix ppc build

* Thu Mar 23 2006 Lenny Cartier <lenny@mandriva.com> 0.37.4-1mdk
- 0.37.4

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.37-1mdk
- fix build
- New release 0.37

* Fri Sep 09 2005 Götz Waschk <waschk@mandriva.org> 0.36-1mdk
- drop patch
- New release 0.36

* Thu Apr 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.35-2mdk
- added P0 from debian to make it compile on x86_64
- used different make flags

* Thu Jul 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.35-1mdk
- 0.35
- compile with $RPM_OPT_FLAGS
- cosmetics

* Tue Jun 01 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.33-1mdk
- 0.33
- bzip2 source
- remove patch0, use make macro instead

* Sat Sep 27 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.31-2mdk
- fix changelog entry

* Fri Jan 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-1mdk
- First spec file for Mandrake distribution.

